> For the complete documentation index, see [llms.txt](https://docs.avoautomation.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.avoautomation.com/avo-assure/actions/apis/assertion.md).

# Assertion

API Assertions are validation checks that verify whether an API response matches the expected outcome. They ensure that an API behaves correctly by automatically validating different aspects of the response, such as the status code, response time, headers, response body, or specific data values. Assertions perform these validations during test execution and indicate whether the verification has passed or failed. As a result, API testing becomes more reliable and efficient.

For example, you can use assertions to verify that an API returns the expected [HTTP status code](/avo-assure/avo-assure-supported-technologies-for-automation/api-automation/understanding-http-status-codes.md) (200 or 404).

Assertions automate response validation to improve test accuracy, reduce manual verification effort, and increase confidence in API quality and stability. This article explains the different assertion actions that help validate API responses during test execution.

## Prerequisites

* API Test Step Group must be created.
* An API request must be added and executed successfully before configuring or evaluating API Assertions.

#### This Section Includes Following Actions:

* [Status Code](/avo-assure/actions/apis/assertion/status-code.md)
* [JSONPath Match](/avo-assure/actions/apis/assertion/jsonpath-match.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.avoautomation.com/avo-assure/actions/apis/assertion.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
